> ## Documentation Index
> Fetch the complete documentation index at: https://docs.drivly.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a new Fee

> Create a new Fee

<Accordion title="Usage with the Drivly SDK" icon="code-simple">
  <Note>
    <span class="font-medium">Make sure you install our SDK first. You can find out how, and more [here](/commerce/sdk).</span>
  </Note>

  ```typescript theme={null}
  import { SDK } from '@drivly/commerce'
  import type { fees } from '@drivly/commerce'

  const sdk = new SDK(...)

  const fees = await sdk.fees.create(data: fees): Promise<fees>
  ```
</Accordion>


## OpenAPI

````yaml post /fees
openapi: 3.0.3
info:
  title: Drivly Commerce API
  version: 1.0.0
  description: API for the Driv.ly experience
  contact:
    name: Drivly
    url: https://driv.ly
    email: support@driv.ly
  license:
    name: MIT
    url: https://opensource.org/licenses/MIT
servers:
  - url: https://commerce.driv.ly/api
security: []
paths:
  /fees:
    post:
      tags:
        - fees
      summary: Create a new Fee
      description: Create a new Fee
      parameters:
        - name: depth
          in: query
          description: number of levels to automatically populate relationships and uploads
          schema:
            type: number
        - name: locale
          in: query
          description: retrieves document(s) in a specific locale
          schema:
            type: string
        - name: fallback-locale
          in: query
          description: specifies a fallback locale if no locale value exists
          schema:
            type: string
      requestBody:
        $ref: '#/components/requestBodies/feesRequest'
      responses:
        '200':
          $ref: '#/components/responses/feesUpsertConfirmationResponse'
      security:
        - apiKeyAuth: []
components:
  requestBodies:
    feesRequest:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/fees'
  responses:
    feesUpsertConfirmationResponse:
      description: ok
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/feesUpsertConfirmation'
  schemas:
    fees:
      additionalProperties: false
      title: Fee
      type: object
      properties:
        description:
          type: string
          nullable: true
        id:
          type: number
        vehiclePriceMin:
          type: string
          nullable: true
        vehiclePriceMax:
          type: string
          nullable: true
        dollarAmount:
          type: string
          nullable: true
        updatedAt:
          type: string
        createdAt:
          type: string
      required:
        - id
        - updatedAt
        - createdAt
    feesUpsertConfirmation:
      type: object
      title: Fee upsert confirmation
      properties:
        doc:
          additionalProperties: false
          title: Fee
          type: object
          properties:
            description:
              type: string
              nullable: true
            id:
              type: number
            vehiclePriceMin:
              type: string
              nullable: true
            vehiclePriceMax:
              type: string
              nullable: true
            dollarAmount:
              type: string
              nullable: true
            updatedAt:
              type: string
            createdAt:
              type: string
          required:
            - id
            - updatedAt
            - createdAt
        message:
          type: string
      required:
        - doc
        - message
  securitySchemes:
    apiKeyAuth:
      in: header
      type: apiKey
      name: Authorization

````